import request from '@/utils/request';

// 查询深入学生活动材料
export function listStuActivityMaterials(query) {
  return request({
    url: '/teacher/stuActivityMaterials/getByFdyNameAndYearAndMonth',
    method: 'get',
    params: query,
	headers: {
		Authorization: "Bearer " + uni.getStorageSync("App-Token"),
	}
  })
}
// 查询班会佐证材料详细
export function getStuActivityMaterials(id) {
  return request({
    url: '/teacher/stuActivityMaterials/' + id,
    method: 'get'
  })
}
// 新增深入学生活动材料
export function addStuActivityMaterials(data) {
	return request({
		url: '/teacher/stuActivityMaterials/add',
		method: 'post',
		data: data
	})
}


// 修改深入学生活动材料
export function updateStuActivityMaterials(data) {
  return request({
    url: '/teacher/stuActivityMaterials/update',
    method: 'post',
    data: data
  })
}
// 删除深入学生活动材料
export function delStuActivityMaterials(id) {
  return request({
    url: '/teacher/stuActivityMaterials/'+id,
    method: 'post',
  })
}

